#ifndef WINDOW_H
#define WINDOW_H

#include <QComboBox>
#include <QLabel>
#include <QCheckBox>
#include <QtnGrid.h>

#include "demomainwindow.h"

class Window : public DemoMainWindow
{
    Q_OBJECT
public:
    Window();
    Qtitan::Grid* m_grid;
    QLabel* m_placeLabel;
    QComboBox* m_newRowPosition;
    QLabel* m_effectLabel;
    QComboBox* m_newRowEffect;
    QCheckBox* m_fastScrollCheck;
private slots:
    void newRowPositionActivated(int index);
    void newRowEffectActivated(int index);
    void fastScrollChanged(int state);
};

#endif
