#ifndef WINDOW_H
#define WINDOW_H

#include <QComboBox>
#include <QLabel>
#include <QPushButton>
#include <QCheckBox>

#include <QtnGrid.h>
#include "demomainwindow.h"

class Window : public DemoMainWindow
{
    Q_OBJECT
public:
    Window();
private:
    Qtitan::Grid* m_grid;
    QLabel* m_label;
    QComboBox* m_policyBox;
    QPushButton* m_showSelectedButton;
    QCheckBox* m_fastScrollCheck;
private slots:
    void newPolicyActivated(int state);
    void showSelected();
    void fastScrollChanged(int state);
};

#endif
