#ifndef WINDOW_H
#define WINDOW_H

#include <QCheckBox>
#include <QtnGrid.h>
#include <QtnGridTableView.h>
#include "demomainwindow.h"

class Window : public DemoMainWindow
{
    Q_OBJECT
public:
    Window();
    Qtitan::Grid* m_grid;
    QCheckBox* m_autoWidthCheck;
    QCheckBox* m_fastScrollCheck;
private slots:
    void autoWidthStateChanged(int state);
    void fastScrollChanged(int state);
};

#endif
