/****************************************************************************
**
** Qtitan Library by Developer Machines (Advanced Grid for Qt)
** 
** Copyright (c) 2009-2011 Developer Machines (http://www.devmachines.com)
**           ALL RIGHTS RESERVED
** 
**  The entire contents of this file is protected by copyright law and
**  international treaties. Unauthorized reproduction, reverse-engineering
**  and distribution of all or any portion of the code contained in this
**  file is strictly prohibited and may result in severe civil and 
**  criminal penalties and will be prosecuted to the maximum extent 
**  possible under the law.
**
**  RESTRICTIONS
**
**  THE SOURCE CODE CONTAINED WITHIN THIS FILE AND ALL RELATED
**  FILES OR ANY PORTION OF ITS CONTENTS SHALL AT NO TIME BE
**  COPIED, TRANSFERRED, SOLD, DISTRIBUTED, OR OTHERWISE MADE
**  AVAILABLE TO OTHER INDIVIDUALS WITHOUT WRITTEN CONSENT
**  AND PERMISSION FROM DEVELOPER MACHINES
**
**  CONSULT THE END USER LICENSE AGREEMENT FOR INFORMATION ON
**  ADDITIONAL RESTRICTIONS.
**
****************************************************************************/


#ifndef QTN_DBGRID_H
#define QTN_DBGRID_H

#include "QtnGrid.h"

namespace Qtitan
{
    class QTITAN_EXPORT DBGrid: public Grid
    {
            Q_OBJECT
            Q_CLASSINFO("Version", "1.1")
            Q_ENUMS(GridViewType)
            Q_PROPERTY(GridViewType viewType READ viewType WRITE setViewType)
        public:
            enum GridViewType
            {
                TableView = 0,
                BandedTableView = 1,
                DBTableView = 2,
                DBBandedTableView = 3
            };
            DBGrid(QWidget* parent = 0);
            GridViewType viewType() const;
            void setViewType(GridViewType type);
    };

}; //namespace Qtitan

#endif  //QTN_DBGRID_H

